Package org.apache.tools.ant.types.resources

# Interface Appendable

All Known Implementing Classes:
  `FileResource`, `LogOutputResource`

public interface Appendable
Interface to be implemented by "appendable" resources.

Since:
  Ant 1.8

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OutputStream`
  `getAppendOutputStream()`
  Get an appending OutputStream.

- ## Method Details

  - ### getAppendOutputStream

    OutputStream getAppendOutputStream() throws IOException
    Get an appending OutputStream.
    Returns:
      OutputStream
    Throws:
      `IOException` - if anything goes wrong